/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the WebhookEventScript type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &WebhookEventScript{}

// WebhookEventScript struct for WebhookEventScript
type WebhookEventScript struct {
	Id string `json:"id"`
}

// NewWebhookEventScript instantiates a new WebhookEventScript object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewWebhookEventScript(id string) *WebhookEventScript {
	this := WebhookEventScript{}
	this.Id = id
	return &this
}

// NewWebhookEventScriptWithDefaults instantiates a new WebhookEventScript object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewWebhookEventScriptWithDefaults() *WebhookEventScript {
	this := WebhookEventScript{}
	return &this
}

// GetId returns the Id field value
func (o *WebhookEventScript) GetId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Id
}

// GetIdOk returns a tuple with the Id field value
// and a boolean to check if the value has been set.
func (o *WebhookEventScript) GetIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Id, true
}

// SetId sets field value
func (o *WebhookEventScript) SetId(v string) {
	o.Id = v
}

func (o WebhookEventScript) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o WebhookEventScript) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["id"] = o.Id
	return toSerialize, nil
}

type NullableWebhookEventScript struct {
	value *WebhookEventScript
	isSet bool
}

func (v NullableWebhookEventScript) Get() *WebhookEventScript {
	return v.value
}

func (v *NullableWebhookEventScript) Set(val *WebhookEventScript) {
	v.value = val
	v.isSet = true
}

func (v NullableWebhookEventScript) IsSet() bool {
	return v.isSet
}

func (v *NullableWebhookEventScript) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableWebhookEventScript(val *WebhookEventScript) *NullableWebhookEventScript {
	return &NullableWebhookEventScript{value: val, isSet: true}
}

func (v NullableWebhookEventScript) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableWebhookEventScript) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


